Index: palm/trunk/SCRIPTS/mbuild_new
===================================================================
--- palm/trunk/SCRIPTS/mbuild_new	(revision 1)
+++ palm/trunk/SCRIPTS/mbuild_new	(revision 5)
@@ -1,4 +1,4 @@
 #!/bin/ksh
-# mbuild - Programmuebersetzungsscript   Version:  @(#)MBUILD 1.0    07/02/07
+# mbuild - Programmuebersetzungsscript   Version:  @(#)MBUILD 1.0    10/02/07
 
      # Prozedur zur Uebersetzung von Programmteilen mittels make-Mechanismus
@@ -78,4 +78,5 @@
      # 24/11/06 - Siggi - breva and levanto admitted
      # 07/02/07 - Siggi - adapted for RIAM (neck)
+     # 10/02/07 - Siggi - all hpmuk-related code removed
 
 
@@ -152,5 +153,4 @@
      (berte)                    local_host=t3eb;;
      (bora|breva|gregale|irifi|levanto|maestro|orkan|ostria|quanero|scirocco)  local_host=lcmuk;;
-     (argestes|caurus|caver|chinook|dschani|gharra|nevados|poniente|samun|twister|yalka)  local_host=hpmuk;;
      (gate)                     local_host=neck;;
      (gfdl3.yonsei.ac.kr)       local_host=decalpha; local_addres=165.132.26.56;;
@@ -206,4 +206,97 @@
 
 
+    # LOKALEN QUELLTEXTPFAD ERMITTELN.
+    # ZUERST PRUEFEN, OB EIN GLOBALER QUELLTEXTPFAD FUER ALLE RECHNER
+    # VEREINBART WURDE.
+    # DAZU ZUNAECHST ALLE IN DER KONFIGURATIONSDATEI VEREINBARTEN GLOBALEN
+    # VARIABLEN SETZEN, WEIL DIESE EVTL. IN PFADNAMEN VERWENDET WERDEN
+ line=""
+ grep "%" $config_file  |  while read line
+ do
+    if [[ "$line" != ""  &&  "$(echo $line | cut -d" " -s -f3)" = "" ]]
+    then
+       var=`echo $line | cut -d" " -s -f1 | cut -c2-`
+       value=`echo $line | cut -d" " -s -f2`
+       echo "*** export $var=$value"
+       eval export $var=$value
+       eval echo \"   $var=\$$var \"
+    fi
+ done
+
+    # NUN PRUEFEN, OB EIN GLOBALER QUELLTEXTPFAD VEREINBART WURDE
+ line=""
+ grep "%source_path" $config_file  |  while read line
+ do
+    if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+    then
+       if [[ "$(echo $line | cut -d" " -s -f3)" = "" ]]
+       then
+          global_source_path=`echo $line | cut -d" " -s -f2`
+       fi
+    fi
+ done
+
+ line=""
+ grep  " $local_host" $config_file | grep "%source_path"  |  while read line
+ do
+    if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+    then
+       local_source_path=`echo $line | cut -d" " -s -f2`
+    fi
+ done
+
+ if [[ "$local_source_path" = "" ]]
+ then
+    if [[ "$global_source_path" != "" ]]
+    then
+       local_source_path=$global_source_path
+    else
+       printf "\n  +++ no source path found in configuration file"
+       printf "\n      for local host \"$local_host\" "
+       printf "\n      please set \"\%source_path\" in configuration file"
+       locat=config_file; exit
+    fi
+ fi
+ eval local_source_path=$local_source_path
+
+
+     # EBENSO PFAD FUER DAS MAKE-DEPOSITORY ERMITTELN
+ line=""
+ grep "%depository_path" $config_file  |  while read line
+ do
+    if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+    then
+       if [[ "$(echo $line | cut -d" " -s -f3)" = "" ]]
+       then
+          global_depository_path=`echo $line | cut -d" " -s -f2`
+       fi
+    fi
+ done
+
+ line=""
+ grep  " $local_host" $config_file | grep "%depository_path"  |  while read line
+ do
+    if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+    then
+       local_depository_path=`echo $line | cut -d" " -s -f2`
+    fi
+ done
+
+ if [[ "$local_depository_path" = "" ]]
+ then
+    if [[ "$global_depository_path" != "" ]]
+    then
+       local_depository_path=$global_depository_path
+    else
+       printf "\n  +++ no depository path found in configuration file"
+       printf "\n      for local host \"$local_host\" "
+       printf "\n      please set \"\%depository_path\" in configuration file"
+       locat=config_file; exit
+    fi
+ fi
+ eval local_depository_path=$local_depository_path
+
+
+
     # PRUEFEN, OB IN KONFIGURATIONSDATEI EIN HAUPTPROGRAMM
     # VEREINBART WURDE
@@ -222,81 +315,4 @@
     mainprog=`echo $line | cut -d" " -s -f2 | cut -d"." -f1`
  fi
-
-
-
-    # LOKALEN QUELLTEXTPFAD ERMITTELN.
-    # ZUERST PRUEFEN, OB EIN GLOBALER QUELLTEXTPFAD FUER ALLE RECHNER
-    # VEREINBART WURDE
- line=""
- grep "%source_path" $config_file  |  while read line
- do
-    if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-    then
-       if [[ "$(echo $line | cut -d" " -s -f3)" = "" ]]
-       then
-          global_source_path=`echo $line | cut -d" " -s -f2`
-       fi
-    fi
- done
-
- line=""
- grep  " $local_host" $config_file | grep "%source_path"  |  while read line
- do
-    if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-    then
-       local_source_path=`echo $line | cut -d" " -s -f2`
-    fi
- done
-
- if [[ "$local_source_path" = "" ]]
- then
-    if [[ "$global_source_path" != "" ]]
-    then
-       local_source_path=$global_source_path
-    else
-       printf "\n  +++ no source path found in configuration file"
-       printf "\n      for local host \"$local_host\" "
-       printf "\n      please set \"\%source_path\" in configuration file"
-       locat=config_file; exit
-    fi
- fi
- eval local_source_path=$local_source_path
-
-
-     # EBENSO PFAD FUER DAS MAKE-DEPOSITORY ERMITTELN
- line=""
- grep "%depository_path" $config_file  |  while read line
- do
-    if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-    then
-       if [[ "$(echo $line | cut -d" " -s -f3)" = "" ]]
-       then
-          global_depository_path=`echo $line | cut -d" " -s -f2`
-       fi
-    fi
- done
-
- line=""
- grep  " $local_host" $config_file | grep "%depository_path"  |  while read line
- do
-    if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-    then
-       local_depository_path=`echo $line | cut -d" " -s -f2`
-    fi
- done
-
- if [[ "$local_depository_path" = "" ]]
- then
-    if [[ "$global_depository_path" != "" ]]
-    then
-       local_depository_path=$global_depository_path
-    else
-       printf "\n  +++ no depository path found in configuration file"
-       printf "\n      for local host \"$local_host\" "
-       printf "\n      please set \"\%depository_path\" in configuration file"
-       locat=config_file; exit
-    fi
- fi
- eval local_depository_path=$local_depository_path
 
 
@@ -655,5 +671,4 @@
     netcdf_support=false
     case  $remote_host  in
-        (hpmuk)          remote_addres=130.75.105.19;;
         (lcmuk)          remote_addres=130.75.105.3; cpp_options=""
                          netcdf_support=true
@@ -998,9 +1013,8 @@
           # BATCH-JOB PARAMETER SETZEN
        case  $remote_host  in
-           (hpmuk)          remote_addres=130.75.105.19;;
            (t3eb)           queue=berte; memory=60; cputime=1000; xoption="-X 0";;
            (t3eh)           queue=comp_t3e; memory=60; cputime=360;;
            (t3ej2)          queue=normal; memory=60; cputime=1000; xoption="-X 0";;
-           (hpmuk|t3ej5|ground.yonsei.ac.kr)  printf "\n  --- remote host \"$remote_host\" does not allow batch jobs"; continue;;
+           (t3ej5|ground.yonsei.ac.kr)  printf "\n  --- remote host \"$remote_host\" does not allow batch jobs"; continue;;
        esac
 
